Bug 966272 - CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates with specially crafted hostname wildcard patterns [epel-6]
CVE-2013-2098 CVE-2013-2099 python: ssl.match_hostname() DoS via certificates...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-tornado (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Ionuț Arțăriși
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2099
  Show dependency treegraph
 
Reported: 2013-05-22 18:17 EDT by Vincent Danen
Modified: 2015-04-09 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-tornado-2.2.1-7.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-09 12:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-22 18:17:32 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for python-tornado: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-22 18:17:41 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,966272
Comment 2 Vincent Danen 2014-01-11 14:18:26 EST
python-tornado uses custom match_hostname()/other functions which are already available via python_backports_ssl_match_hostname. It may be easier to include this package in BuildRequires and unbundle the custom code.  It would also make future maintenance of this package easier.

(As an aside, this is what is being done for RHEL7)
Comment 3 Fedora Update System 2014-12-05 12:26:00 EST
python-tornado-2.2.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tornado-2.2.1-7.el6
Comment 4 Fedora Update System 2014-12-06 12:08:47 EST
Package python-tornado-2.2.1-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-tornado-2.2.1-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4485/python-tornado-2.2.1-7.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-04-09 12:57:22 EDT
python-tornado-2.2.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.